using Terraria.ModLoader;

namespace WWSThoriumExample
{
	public class WWSThoriumExample : Mod
	{
        public override void PostSetupContent()
        {
            Mod wWeaponScaling = ModLoader.GetMod("WWeaponScaling"); // Stores Weapon Scaling's mod instance to call
            Mod cMod = ModLoader.GetMod("ThoriumMod"); // Stores mod instance of the relevant mod

            /*WEAPON TIERS
            1 = Wooden
            2 = Iron
            3 = Gold
            4 = Evil
            5 = Jungle
            6 = Dungeon
            7 = Molten
            8 = Adamantite
            9 = Hallowed
            10 = Chlorophyte
            11 = Post-Plantera
            12 = Post-Golem
            13 = Lunar
            14 = Moon Lord
            
            wWeaponScaling.Call(WEAPON ID, TIER, SCALING FACTOR);
            WEAPON ID is the internal ID of the weapon to be added to the database of supported weapons.
            TIER is the starting tier of said weapon. For example, if it is obtained in the post-skeletron dungeon, it would be tier 6. Refer to the table above.
            SCALING FACTOR is how much of the scaling multiplier is applied to the weapon. 1f is the default and should work for most weapons.
                           If the weapon scales too much at higher tiers, lower the number into decimals until it feels right. Increase if the weapon scales too slowly.*/
                
            wWeaponScaling.Call(cMod.ItemType("GoldenBugleHorn"), 3, 1f);
        }
	}
}